set_clip(3)

NAME
set_clip

SYNOPSIS
#include <allegro.h>

void set_clip(BITMAP *bitmap, int x1, int y1, int x2, int y2);

DESCRIPTION
Each bitmap has an associated clipping rectangle, which is the area of the image that it is ok to draw on. Nothing will be drawn to positions outside this space. Pass the two opposite corners of the clipping rectangle: these are inclusive, eg. set_clip(bitmap, 16, 16, 32, 32) will allow drawing to (16, 16) and (32, 32), but not to (15, 15) and (33, 33). If x1, y1, x2, and y2 are all zero, clipping will be turned off, which may slightly speed up some drawing operations (usually a negligible difference, although every little helps) but will result in your program dying a horrible death if you try to draw beyond the edges of the bitmap. There's no get_clip like function. To obtain the clipping rectangle of an existing bitmap, check the appropiate fields of the BITMAP structure holding it.